Bug 1873644 - Frequent "g_variant_unref: assertion 'value != NULL' failed" journal messages
Summary: Frequent "g_variant_unref: assertion 'value != NULL' failed" journal messages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gjs
Version: 33
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F33BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2020-08-28 20:58 UTC by Adam Williamson
Modified: 2020-09-02 15:42 UTC (History)
5 users (show)

Fixed In Version: gjs-1.65.91-3.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-02 15:42:07 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Adam Williamson 2020-08-28 20:58:18 UTC
There's a bug in gjs which results in this error/warning frequently appearing in the journal when running GNOME and doing pretty much anything:

g_variant_unref: assertion 'value != NULL' failed

it doesn't really have any other consequences, but the frequent occurrence of the message in the logs can be annoying and distracting if you're trying to debug something else. So I'm proposing this as a Beta FE (it affects the live environment, so an update can't fully fix it).

I've already sent a fix upstream and backported it to Rawhide and F33, and will mark the F33 update as fixing this bug.

Comment 1 Fedora Update System 2020-08-28 21:01:32 UTC
FEDORA-2020-2de3731beb has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2de3731beb

Comment 2 František Zatloukal 2020-08-31 12:07:53 UTC
+3 votes for FE, setting as AcceptedFE.

https://pagure.io/fedora-qa/blocker-review/issue/49

Comment 3 Fedora Update System 2020-08-31 14:27:28 UTC
FEDORA-2020-2de3731beb has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-2de3731beb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-2de3731beb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2020-09-02 15:42:07 UTC
FEDORA-2020-2de3731beb has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.